//
//  SwiftForgeApp.swift
//  SwiftForge
//
//  Created by Atridad Lahiji on 2025-07-04.
//

import SwiftUI

@main
struct SwiftForgeApp: App {
    @StateObject private var authenticationManager = AuthenticationManager()
    @StateObject private var settingsManager = SettingsManager()

    var body: some Scene {
        WindowGroup {
            ContentView()
                .environmentObject(authenticationManager)
                .environmentObject(settingsManager)
        }
    }

}
